OSMO-TRX(1)

NAME
osmo-trx - SDR transceiver that implements Layer 1 of a GSM BTS

SYNOPSIS
osmo-trx [options]

DESCRIPTION
This manual page documents briefly the osmo-trx command.

osmo-trx is a software-defined radio transceiver that implements the Layer 1 physical layer of a BTS comprising the following 3GPP specifications:

TS 05.01 "Physical layer on the radio path"
TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
TS 05.04 "Modulation"
TS 05.10 "Radio subsystem synchronization"

In this context, BTS is "Base transceiver station". It's the stations that connect mobile phones to the mobile network.

3GPP is the "3rd Generation Partnership Project" which is the collaboration between different telecommunication associations for developing new generations of mobile phone networks. (post-2G/GSM)

OPTIONS
Usually it works well to start osmo-trx without any options.

-h  This text

-a <args>
    UHD device args

-l <logging level>
    Logging level (EMERG, ALERT, CRT, ERR, WARNING, NOTICE, INFO, DEBUG)

-i <ip>
    IP address of GSM core

-p <port>
    Base port number

-d  Enable dual channel diversity receiver

-x  Enable external 10 MHz reference

-s <sps>
    Samples-per-symbol (1 or 4)

-c <channel>
    Number of ARFCN channels (default=1)

-f  Enable C0 filler table

-o <freq>
    Set baseband frequency offset (default=auto)

AUTHOR
This manual page was written by Ruben Undheim <ruben.undheim@gmail.com>, for the Debian project (and may be used by others).